# Contributor Covenant Code of Conduct

## Our Pledge

We as members, contributors, and leaders pledge to
make participation in our community a harassment-free
experience for everyone.

We pledge to act and interact in ways that
contribute to an open, welcoming and healthy
community.

## Our Standards

Examples of behavior that contributes to a positive
environment for our community include:

* Being respectful of differing opinions,
viewpoints, and experiences
* Giving and gracefully accepting constructive
feedback
* Accepting responsibility for mistakes
* Focusing on what is best not just for us as
individuals, but for the overall community
* Assuming that other participants are posting in
good faith, even when disagreeing with them

Examples of unacceptable behavior include:

* The use of sexualized language or imagery, and
sexual attention or advances of any kind
* Trolling, insulting or derogatory comments, and
personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a
physical or email address, without their explicit
permission
* Other conduct which could reasonably be considered
inappropriate in a professional setting

Raising unrelated political issues should be avoided
in Zrythm project discussions, because they are
off-topic. The only political positions that Zrythm
endorses are:

* All software should be
[free](https://www.fsf.org/about/what-is-free-software)
* Supporting basic human rights in computing

## Enforcement Responsibilities

Community leaders are responsible for clarifying and
enforcing our standards of acceptable behavior and
will take appropriate and fair corrective action in
response to any behavior that they deem
inappropriate, threatening, offensive, or harmful.

Community leaders have the right and responsibility
to remove, edit, or reject comments, commits, code,
wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct, and will
communicate reasons for moderation decisions when
appropriate.

## Scope

This Code of Conduct applies within all community
spaces, and also applies when an individual is
officially representing the community in public
spaces.
Examples of representing our community include using
an official e-mail address, posting via an official
social media account, or acting as an appointed
representative at an online or offline event.

## Enforcement

Instances of abusive, harassing, or otherwise
unacceptable behavior may be reported to the
community leaders responsible for enforcement at
alex AT zrythm.org.
All complaints will be reviewed and investigated
promptly and fairly.

All community leaders are obligated to respect the
privacy and security of the reporter of any incident.

## Attribution

This Code of Conduct is adapted from the
Contributor Covenant, version 2.0, available at
<https://www.contributor-covenant.org/version/2/0/code_of_conduct.html>.

Ideas were taken from the
[GNU Kind Communications Guidelines](https://www.gnu.org/philosophy/kind-communication).
