## Leadership

The leader and maintainer of Zrythm and the Zrythm
infrastructure is:

- Alexandros Theodotou <alex at zrythm dot org>

1. Zrythm follows a so-called "Benevolent
Dictatorship" model, where the leader has the
final say in all decisions.
2. Decisions regarding the technical part or the
organizational part of the project are taken
by the leader after discussion with the maintainers.
3. We use Redmine as a global supporting platform for
tracking issues and discussion, and Git for managing
the source code.
This guarantees that a trace is kept for any
contribution or change, and that users may interject
and discuss the subject at hand.

## Donations and financial contributions

We use various payment processors to receive donations
and payments. For donations, we use:

- [liberapay.com/Zrythm](https://liberapay.com/Zrythm)
- [paypal.me/zrythm](https://paypal.me/zrythm)
- [opencollective.com/zrythm](https://opencollective.com/zrythm)

These platforms support payment by credit card or
bank account.

Zrythm binaries can also be purchased at
<https://www.zrythm.org> via SendOwl, which supports
PayPal, Alipay, credit cards and Bitcoin.

We aim to:

- keep things simple;
- facilitate a transparent handling of the finances
of the project from the maintainers;
- abide by international laws for the transfer and
handling of money in support of a project.

We apply the following ruleset to handle the project's
financial resources:

1. The money is primarily directed towards expenses to
support hosting the project - namely the website, and
continuous testing and integration platforms.
2. At any time, a contributor may submit an expense
request regarding the development of Zrythm, for
example but not limited to software development,
icon design, or sound design for plugin presets and
audio samples.
3. Every 3 months, during the months of March, June,
September and December, the maintainers will gather in
a budget meeting. The goal of the budget meeting
is to decide in goodwill how to handle the money left
over between contributors to the project.
4. The partition should take into account individual
technical and organizational contributions.
The partition may also include other projects that
Zrythm uses or wishes to support.
5. Any contributor may waive its own share to benefit
either the project - pooling back resources for the
next round - or the other contributors.
6. The budget will then be approved by the leader.
7. The budget and expenses will be made public so all
donors can keep track of how their donations are
used (TODO: specify where).

## Changes to the governance model

1. It is the role of the leader to best adapt the
governance model as the project evolves.
2. Changes to the governance model are mapped to
changes to this document through the same decision
process, e.g. a patch with approval from the leader.
3. Maintainers can be invited by the leader
at any point in time, and maintainers wishing to leave
the governance of the project may inform the leader.
In both cases, updates to this document shall reflect
the evolution of the governance team and rules.

----

Copyright (C) 2020 Alexandros Theodotou

This file was taken and adapted from
[sfizz's governance document](https://github.com/sfztools/sfizz/blob/master/GOVERNANCE.md).

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided that this notice
is preserved. This file is offered as-is, without any warranty.
