Trademark Policy
================

# Applicable Trademarks
Zrythm and the Zrythm logo are registered
trademarks of Alexandros Theodotou in the United
Kingdom.

# Objective of this Policy
The objective of this trademark policy is:
- to clarify proper usage of Zrythm trademarks by
third parties
- to prevent misuse of Zrythm trademarks that can
confuse or mislead users with respect to Zrythm

Following are the guidelines for the proper use of
Zrythm trademarks by publishers and other third
parties. Any use of or reference to Zrythm trademarks
that is inconsistent with these guidelines, or other
unauthorized use of or reference to Zrythm
trademarks, or use of marks that are confusingly
similar to Zrythm trademarks, is prohibited and may
violate the trademark rights of Alexandros Theodotou.

Any use of Zrythm trademarks in a misleading and
false manner, such as untruthful advertising, is
always prohibited.

# Usage Guidelines
This Trademark Policy explicitly affirms your
nominative fair use rights under trademark law,
including to:
- Use the Zrythm wordmark in text to truthfully refer
to and/or link to unmodified programs, products,
services and technologies by Alexandros Theodotou.
- Use the Zrythm logo in visuals to truthfully refer
to and/or to link to the applicable unmodified
programs, products, services and technologies by
Alexandros Theodotou.
- Use Zrythm trademarks to make true factual
statements about Zrythm or communicate compatibility
with your product truthfully.

The following are explicitly forbidden:
- Use of the Zrythm wordmark as part of a company
name or logo, a product name or logo, or branding.
- Use of the Zrythm logo as part of a company logo or
organization logo or product logo or branding.
- Use of the Zrythm wordmark as part of an acronym.
- Use of Zrythm trademarks in any way that suggests
an affiliation with or endorsement by the Zrythm
project or community, if that is not the case.

All other uses of a Zrythm trademark require our
prior written permission. Contact
trademarks@zrythm.org for more information.

# Software Distribution Policy
You may distribute unaltered copies of the Zrythm
digital audio workstation (DAW) and related software
(hereinafter collectively referred to as "the
software") published by Alexandros Theodotou that
include the Zrythm trademarks without express
permission from Alexandros Theodotou (provided that
the license of the software in question allows it).

You may further distribute altered copies of the
software that include the Zrythm trademarks,
provided that alterations solely serve the purposes
of:
- porting the software to a free system distribution
currently approved by the Free Software Foundation at
https://www.gnu.org/distros/free-distros.html, OR
- porting the software to the Debian operating
system, as published by the Debian project at
https://debian.org/, OR
- porting the software to the Fedora Workstation
operating system, as published by the Fedora Project
at https://getfedora.org/, OR
- porting the software to the FreeBSD operating
system, as published by the The FreeBSD Project at
https://www.freebsd.org/, OR
- fixing a bug in the software that has already been
acknowledged by Alexandros Theodotou or CVE
(https://cve.mitre.org/)

You may further redistribute copies of the software
as published by the aforementioned software
distributors, namely:
- any free system distribution currently approved
by the Free Software Foundation at
https://www.gnu.org/distros/free-distros.html, OR
- the Debian operating system, as published by the
Debian project at https://debian.org/, OR
- the Fedora Workstation operating system, as
published by the Fedora Project at
https://getfedora.org/, OR
- the FreeBSD operating system, as published by The
FreeBSD Project at https://www.freebsd.org/,

provided that no further modifications are made.

In any case, you may not add or remove
functionalities and you must preserve all messages
presented to users in the user interface and the
command line, including but not limited to:
- URLs pointing to official Zrythm web pages
- informational messages (popups, console output,
etc.)

You must also provide a link to the original source
code as published by Alexandros Theodotou at
https://www.zrythm.org/.

# Requirement of Written Permission for Modified Versions Including Trademarks
If you make any changes to the software not
explicitly allowed above, you may not
redistribute that product using any Zrythm trademark
without Alexandros Theodotou’s prior written
consent. For example, you may not distribute a
modified form of the Zrythm DAW and continue to call
it Zrythm, or include the Zrythm logo. If you wish to
distribute modified versions of the software that
include the Zrythm trademarks please contact us with
your request at trademarks@zrythm.org.

# Newer Versions of this Policy
This policy may be revised from time to time. New
versions will be similar in spirit to the present
version, but may differ in detail to address new
problems or concerns. The file `TRADEMARKS.md` in
the source code releases will always contain the
current policy at the time of each release.

----

Copyright (C) 2020 Alexandros Theodotou

Everyone is permitted to copy and distribute
verbatim copies of this document, but changing it is
not allowed.
